java.awt

## Class AWTException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.AWTException

- All Implemented Interfaces:
    Serializable

      public class AWTException
      extends Exception

  Signals that an Absract Window Toolkit exception has occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTException(String msg)` Constructs an instance of `AWTException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTException

          public AWTException(String msg)

      Constructs an instance of `AWTException` with the specified detail message. A detail message is an instance of `String` that describes this particular exception.
      Parameters:
        `msg` - the detail message
      Since:
        JDK1.0

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.